If you build Windows Embedded CE-based systems, and you want to use the latest and greatest device development features that VS 2008 offers (like Unit Testing, CF 3.5 support, emulator 3.0, and more), but still use Platform Builder 6.0 to build your device images, you will need to keep VS 2005 around since PB 6.0 can't be hosted in VS 2008. You might be tempted to do a side-by-side install of both versions on the same machine, and Microsoft tells you that this is possible and indeed supported, but you should take this with a grain of salt since various issues may give you a bad experience. Example? Take this bug related to deploying SSCE 3.5 to a device from VS2008.

You have been warned.